
ChiliProject - Feature # 234: Issue category sharing

Status: Open Priority: Normal
Author: Daniel Neis Category: Issue tracking
Created: 2011-02-27 Assignee:
Updated: 2012-07-08 Due date:
Remote issue URL:
Affected version:
Description: Hello,

i am submitting a patch that was recently submited to redmine that implements issue category sharing like 
issue version.
Here is the link to the redmine issue: http://www.redmine.org/projects/redmine/issues/5358

The submitted patch was created with a git diff between redmine and a personal branch on github:
https://github.com/danielneis/redmine/tree/5358-issue.category.sharing

Hope you like,
Daniel

History
2011-02-27 09:31 pm - Daniel Neis
- File category-share.diff added

2011-02-27 10:27 pm - Eric Davis
- Status changed from Open to Needs more information

Thanks for the patch. I've heard of someone doing a 'systemwide' set of categories but I never thought of sharing categories. I think I like sharing more.

I don't see any tests in your patch file. Are you planning to add some?

2011-02-27 11:35 pm - Daniel Neis
Hello,

i am happy you like sharing more =)
I am not used to write tests, but i think i can copy the ones from version like what i did with the rest, if it is okay to you.

Also, the "issues summary report" does not count sub-projects. I was thinking about add "(Don't) Include sub-projects" link (maybe next to the "Report" 
title).

Ah! I've forked chili project in github and setup a branch for this issue:
https://github.com/danielneis/chiliproject/tree/234-issue.category.sharing

Kind regards,
Daniel

2011-06-06 01:06 pm - Jan Wedekind
Just found this issue searching for the topic. That would be quite helpful and I also like the sharing much more than system wide definition. I think it's 
easier to handle (just like version sharing vs. Time Tracking activities).

Will this go into one of the future versions?
Can I help with tests in some way?
cheers,
jan

2011-06-06 07:54 pm - Daniel Neis
Hello, Jan

if you can write some unit tests, they will be welcome =)

kind regards,
Daniel

2011-08-25 12:50 pm - Daniele Segato
Any news about this issue?
I really like to see this feature in chiliproject.

2012-03-27 09:25 pm - XXX XXX
I would like to see this feature in ChiliProject as well. Is it possible to select this one as the main feature for the next minor release (3.2.0)?

Here is a related article about this on Redmine: http://www.redmine.org/boards/1/topics/16060

2012-04-07 10:50 pm - TomÃ¡Å¡ Jukin
- Target version set to 3.2.0

- Status changed from Needs more information to Ready for review

Lukas Kubanek wrote:
> I would like to see this feature in ChiliProject as well. Is it possible to select this one as the main feature for the next minor release (3.2.0)?
> 
> Here is a related article about this on Redmine: http://www.redmine.org/boards/1/topics/16060

+1

This is IMHO a very important feature... So?

2012-06-05 03:50 pm - Felix Schäfer
- Status changed from Ready for review to Open

TomÃ¡Å¡ Jukin wrote:
> This is IMHO a very important feature... So?

TomÃ¡Å¡, from what I can read there are no tests for this yet, so this is not ready for review yet either, please refrain from changing the status if you 
aren't sure everything needed (especially when it's been asked for in the issue) is there yet.

I like the idea though, can someone write tests for this and send a pull request? Thanks!

2012-06-09 05:44 pm - Holger Just
- Target version deleted (3.2.0)
Pulling this out of version:3.2.0 as it was not ready on release day.

2012-06-09 06:12 pm - Daniele Segato
Holger which will be the new target for this issue?

2012-07-01 01:39 pm - Raphael MESSNER
I'm waiting for this feature too.
Do you plan to include it to a version soon ?

2012-07-08 07:41 pm - TomÃ¡Å¡ Jukin
+1, any news?

2012-07-08 07:45 pm - Felix Schäfer
TomÃ¡Å¡ Jukin wrote:
> +1, any news?

See notes 2 and 9: still no tests.

Files
category-share.diff 9.6 kB 2011-02-27 Daniel Neis
